# Interface XYArrayData

public interface XYArrayData
Defines a matched pair of vectors.

Since:
  9 Jun 2022
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
Returns the number of X, Y pairs avilable.
`double`
`getX(int i)`
Returns one of the X elements.
`double`
`getY(int i)`
Returns one of the Y elements.

## Method Details

### getLength

int getLength()
Returns the number of X, Y pairs avilable.

Returns:
  shared vector length

### getX

double getX(int i)
Returns one of the X elements.

Parameters:
  `i` - index
Returns:
  X value

### getY

double getY(int i)
Returns one of the Y elements.

Parameters:
  `i` - index
Returns:
  Y value